summaryrefslogtreecommitdiffstats
path: root/tests/manytcp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/manytcp.sh')
-rwxr-xr-xtests/manytcp.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/manytcp.sh b/tests/manytcp.sh
new file mode 100755
index 00000000..d9b2e9a0
--- /dev/null
+++ b/tests/manytcp.sh
@@ -0,0 +1,21 @@
+rm -f work rsyslog.out.log rsyslog.out.log.save # work files
+../tools/rsyslogd -c4 -u2 -n -irsyslog.pid -M../runtime/.libs:../.libs -f$srcdir/testsuites/manytcp.conf &
+sleep 1
+echo "rsyslogd started with pid " `cat rsyslog.pid`
+# the config file specifies exactly 1100 connections
+./tcpflood 127.0.0.1 13514 1000 40000
+if [ "$?" -ne "0" ]; then
+ echo "error during tcpflood! see rsyslog.out.log.save for what was written"
+ cp rsyslog.out.log rsyslog.out.log.save
+fi
+sleep 5 # we need this so that rsyslogd can receive all outstanding messages
+kill `cat rsyslog.pid`
+rm -f work
+sort < rsyslog.out.log > work
+./chkseq work 0 39999
+if [ "$?" -ne "0" ]; then
+ rm -f work rsyslog.out.log
+ echo "sequence error detected"
+ exit 1
+fi
+rm -f work rsyslog.out.log